Subject: [Idr] [Errata Verified] RFC9085 (6666)

From: RFC Errata System <[email-masked]>
Date: Fri, 3 Sep 2021 13:17:11 -0700 (PDT)

The following errata report has been verified for RFC9085,
"Border Gateway Protocol - Link State (BGP-LS) Extensions for Segment Routing". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6666

--------------------------------------
Status: Verified
Type: Editorial

Reported by: Ketan Talaulikar <[email-masked]>
Date Reported: 2021-08-27
Verified by: Alvaro Retana (IESG)

Section: 2.3.1

Original Text
-------------
   Flags:  1-octet value that should be set as:

      *  IS-IS Prefix-SID flags as defined in Section 2.1.1 of
         [RFC8667].

      *  OSPFv2 Prefix-SID flags as defined in Section 5 of [RFC8665].

      *  OSPFv3 Prefix-SID flags as defined in Section 6 of [RFC8665].

Corrected Text
--------------
   Flags:  1-octet value that should be set as:

      *  IS-IS Prefix-SID flags as defined in Section 2.1.1 of
         [RFC8667].

      *  OSPFv2 Prefix-SID flags as defined in Section 5 of [RFC8665].

      *  OSPFv3 Prefix-SID flags as defined in Section 6 of [RFC8666].

Notes
-----
The reference to the OSPFv3 spec in the text above needs to be corrected to RFC8666 instead of RFC8665.

This editorial error seems to have crept in during the RFC publication process. The draft version submitted by the WG and reviewed by the IESG has the correct text : https://datatracker.ietf.org/doc/html/draft-ietf-idr-bgp-ls-segment-routing-ext-18#section-2.3.1

--------------------------------------
RFC9085 (draft-ietf-idr-bgp-ls-segment-routing-ext-18)
--------------------------------------
Title               : Border Gateway Protocol - Link State (BGP-LS) Extensions for Segment Routing
Publication Date    : August 2021
Author(s)           : S. Previdi, K. Talaulikar, Ed., C. Filsfils, H. Gredler, M. Chen
Category            : PROPOSED STANDARD
Source              : Inter-Domain Routing
Area                : Routing
Stream              : IETF
Verifying Party     : IESG